<?php

namespace common\logic\Config\TaxRate;

use common\logic\ContainerInterface;

class TaxRateContainer implements ContainerInterface
{
    public function getEntityFqcn(): string
    {
        return TaxRate::class;
    }

    public function getServices(): array
    {
        return [
            TaxRateFactory::class,
            TaxRateRepository::class,
        ];
    }

    public function getFactory(): TaxRateFactory
    {
        return new TaxRateFactory();
    }

    public function getRepository(): TaxRateRepository
    {
        return new TaxRateRepository();
    }
}