<?php

namespace common\logic\Order\OrderStatusHistory;

use common\logic\ContainerInterface;

class OrderStatusHistoryContainer implements ContainerInterface
{
    public function getEntityFqcn(): string
    {
        return OrderStatusHistory::class;
    }

    public function getServices(): array
    {
        return [
            OrderStatusHistoryFactory::class
        ];
    }

    public function getFactory(): OrderStatusHistoryFactory
    {
        return new OrderStatusHistoryFactory();
    }
}