<?php

namespace common\logic\PointSale\UserPointSale;

use common\logic\ContainerInterface;

class UserPointSaleContainer implements ContainerInterface
{
    public function getEntityFqcn(): string
    {
        return UserPointSale::class;
    }

    public function getServices(): array
    {
        return [
            UserPointSaleFactory::class,
        ];
    }

    public function getFactory(): UserPointSaleFactory
    {
        return new UserPointSaleFactory();
    }
}