<?php

namespace common\logic\Subscription\ProductSubscription;

use common\logic\ContainerInterface;

class ProductSubscriptionContainer implements ContainerInterface
{
    public function getEntityFqcn(): string
    {
        return ProductSubscription::class;
    }

    public function getServices(): array
    {
        return [
            ProductSubscriptionFactory::class
        ];
    }

    public function getFactory(): ProductSubscriptionFactory
    {
        return new ProductSubscriptionFactory();
    }
}