<?php

namespace common\logic\Producer\Producer;

use common\logic\BaseService;
use common\logic\FactoryInterface;

class ProducerFactory extends BaseService implements FactoryInterface
{
    public function create()
    {
        $producer = new Producer();

        $producer->order_deadline = Producer::ORDER_DEADLINE_DEFAULT;
        $producer->order_delay = Producer::ORDER_DELAY_DEFAULT;

        return $producer;
    }
}