<?php

namespace common\logic\Product\ProductPointSale;

use common\logic\ContainerInterface;

class ProductPointSaleContainer implements ContainerInterface
{
    public function getEntityFqcn(): string
    {
        return ProductPointSale::class;
    }

    public function getServices(): array
    {
        return [
            ProductPointSaleFactory::class,
        ];
    }

    public function getFactory(): ProductPointSaleFactory
    {
        return new ProductPointSaleFactory();
    }
}