<?php

namespace common\logic\User\UserProducer;

use common\logic\FactoryInterface;

class UserProducerFactory implements FactoryInterface
{
    public function create(int $idUser, int $idProducer, int $bookmark = 1)
    {
        $userProducer = new UserProducer();

        $userProducer->setIdUser($idUser);
        $userProducer->setIdProducer($idProducer);
        $userProducer->setCredit(0);
        $userProducer->setActive(1);
        $userProducer->setBookmark($bookmark);

        return $userProducer;
    }
}