<?php

namespace common\logic\User\UserGroup;

use common\logic\ContainerInterface;

class UserUserGroupContainer implements ContainerInterface
{
    public function getEntityFqcn(): string
    {
        return User UserGroup::class;
    }

    public function getServices(): array
    {
        return [
            UserUserGroupFactory::class
        ];
    }

    public function getFactory(): UserUserGroupFactory
    {
        return new UserUserGroupFactory();
    }
}